Bug 116650 - Internal compiler error when compiling mythtv-0.14
Internal compiler error when compiling mythtv-0.14
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-24 02:55 EST by Dirk Hebel
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 3.3.3-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-17 07:52:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source output (mythmedia.cpp) (119.98 KB, text/plain)
2004-02-24 03:01 EST, Dirk Hebel
no flags Details

  None (edit)
Description Dirk Hebel 2004-02-24 02:55:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de-AT; rv:1.4.1)
Gecko/20031114

Description of problem:
When compiling mythtv-0.14 (mythtv.org), the compiler shows the
following error:

...

g++ -c -pipe -Wall -W -O3 -march=pentiumpro -fomit-frame-pointer
-D_REENTRANT -fPIC  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
-DPREFIX=\"/usr/local\" -DMMX -DUSING_IVTV -DQT_NO_DEBUG
-DQT_THREAD_SUPPORT -I/usr/lib64/qt-3.1/mkspecs/default -I.
-I/usr/local/include -I/usr/lib64/qt-3.1/include -o mythmedia.o
mythmedia.cpp
mythmedia.cpp: In constructor
`MythMediaDevice::MythMediaDevice(QObject*, const
   char*, bool, bool)':
mythmedia.cpp:36: error: unrecognizable insn:
(insn:HI 546 545 191 11 0x2a9cd3c420 (set (reg:SI 92)
        (plus:SI (mult:SI (reg:SI 92)
                (const_int 4 [0x4]))
            (const_int 1 [0x1]))) -1 (insn_list 545 (nil))
    (nil))
mythmedia.cpp:36: internal compiler error: in extract_insn, at
recog.c:2175
Preprocessed source stored into /tmp/cc3fBtbk.out file, please attach
this to your bugreport

make[2]: *** [mythmedia.o] Fehler 1
make[2]: Verlassen des Verzeichnisses Verzeichnis �/home/dirheb/mythtv
-0.14/libs/libmyth�
make[1]: *** [sub-libmyth] Fehler 2
make[1]: Verlassen des Verzeichnisses Verzeichnis �/home/dirheb/mythtv
-0.14/libs�
make: *** [sub-libs] Fehler 2

Version-Release number of selected component (if applicable):
gcc-c++-3.3.2-1

How reproducible:
Always

Steps to Reproduce:
1. Download MythTV source package:
http://www.mythtv.org/modules.php?name=Downloads&d_op=viewdownload&cid=1

2. extract files & compile:
tar xvjf mythtv-0.14.tar.bz2
cd mythtv-0.14
./configure
qmake mythtv.pro
make

Additional info:

Kernel version: 2.6.3
CPU: AMD Athlon64 3200+
Architecture: x86_64
Comment 1 Dirk Hebel 2004-02-24 03:01:27 EST
Created attachment 97976 [details]
Preprocessed source output (mythmedia.cpp)

This is the preprocessed source output the compiler told me to attach here
Comment 2 Jakub Jelinek 2004-02-25 11:05:09 EST
You cannot use -march=pentiumpro in 64-bit mode (i686 doesn't have
x86-64 instructions).
I'll add following patch (something similar is already in GCC 3.4+):
2004-02-25  Jakub Jelinek  <jakub@redhat.com>

        * config/i386/i386.c (override_options): Error if -m64 and selected
        processor doesn't support x86-64 instruction set.

--- gcc/config/i386/i386.c.jj   2004-02-17 20:32:56.000000000 +0100
+++ gcc/config/i386/i386.c      2004-02-25 17:08:10.588222176 +0100
@@ -1120,6 +1120,11 @@ override_options ()
        ix86_cpu = processor_alias_table[i].processor;
        break;
       }
+
+  if (TARGET_64BIT
+      && (ix86_arch != PROCESSOR_ATHLON || ix86_cpu != PROCESSOR_ATHLON))
+    error ("CPU you selected does not support x86-64 instruction set");
+
   if (processor_alias_table[i].flags & PTA_PREFETCH_SSE)
     x86_prefetch_sse = true;
   if (i == pta_size)
Comment 3 John Flanagan 2004-05-11 23:40:20 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-142.html

Note You need to log in before you can comment on or make changes to this bug.